clc
//Variable Initialisation
Pm=5e+6//motor rating in Watt
V=11e+3//Input voltage in Volts
f1=50//Supply Frequency
pf=0.9//power factor of motor
N1=1000//rated speed
Rs=0//resistance in ohm
Xs=10//reactance in ohm
N2=750
N3=1500
pf2=0.8
If1=50//rated field current
//Solution
V1=V/sqrt(3)
Is=Pm/(3*V1*pf)
Is1=Is*(cosd(25.84)+(%i*sind(25.84)))
E=V1-(Is1*%i*Xs)
y=imag(E)
x=real(E)
Er=sqrt((y^2)+(x^2))
theta=atand(y/x)
theta1=acosd(0.8)
f2=f1*N2/N1
V2=V1*f2/f1
Xs2=Xs*f2/f1
Is2=Is*(cosd(theta1)+(%i*sind(theta1)))
E2=V2-(Is2*%i*Xs2)
t=imag(E2)
u=real(E2)
Er2=sqrt((t^2)+(u^2))
theta3=atand(t/u)
E3=Er*N2/N1
If2=If1*Er2/E3
P2=3*V2*Is*pf2
W=2*%pi*N2/f1
T=P2/W
f3=f1*N3/N1
Xs3=f3/f1*Xs
E4=Er*f3/f1
P3=0.75*Pm
k=asind(Xs3*P3/(3*V1*E4))
Is3=(V1-(E4*(cosd(k)+(%i*sind(k)))))/(Xs3*%i)
y2=imag(Is3)
x2=real(Is3)
Is3r=sqrt((y2^2)+(x2^2))
theta4=atand(y2/x2)
pf3=cosd(theta4)
printf('\n\n The torque for Rated armature current,750rpm,0.8pf=%0.1f N-m\n\n',T)
printf('\n\n The Field Current for Rated armature current,750rpm,0.8pf=%0.1f Amp\n\n',If2)
printf('\n\n The Armature Current for half the Rated torque,1500rpm,rated field current=%0.1f Amp\n\n',Is3r)
printf('\n\n The power factor for half the Rated torque,1500rpm,rated field current=%0.1f\n\n',pf3)
